qpid-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Fraser Adams <fraser.ad...@blueyonder.co.uk>
Subject Proton dependency on old(ish) bouncycastle version
Date Mon, 04 Nov 2013 19:22:45 GMT
Hey all,
A couple of weeks ago when I first started playing with proton I got an 
issue in the early stages of running cmake.

Locations of Bouncycastle 1.47 jars: BOUNCYCASTLE_BCPROV_JAR-NOTFOUND 
BOUNCYCASTLE_BCPKIX_JAR-NOTFOUND

This was a little harder than you'd think to sort out 'cause 
bouncycastle is now at version 1.49 and there's no obvious link off 
their webpage (the ftp link that allegedly points to past releases 
appears to be broken).

Is it worth updating the dependency to the latest bouncycastle - or 
alternatively bundling the jars with proton?

I dug around on t'Interweb and /eventually/ found the 1.47 jars, but as 
I say it was harder than it should be :-) here are the links I came across:

http://grepcode.com/snapshot/repo1.maven.org/maven2/org.bouncycastle/bcprov-jdk15on/1.47

http://grepcode.com/snapshot/repo1.maven.org/maven2/org.bouncycastle/bcpkix-jdk15on/1.47


The official site http://www.bouncycastle.org/latest_releases.html 
doesn't *seem* to have links to older versions as far as I can see.


Once I got it working for myself I mentally parked it, but a colleague 
asked me about it this morning which prompted me to post this, is it 
worth updating to the latest version (or at least putting the above 
links in the comments). It wouldn't normally be an issue except that the 
required version seems to live in a slightly non-obvious place.

Frase


Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message